[BUGFIX] Execute after stage tasks application independent

An after stage task for any application is executed before a task
specific for an application. This change fixes that by changing the
order of the loops through the stage steps and the applications.

This is practically non-breaking since nobody should have relied on that
behaviour.

Change-Id: Ieb592c9a77e719646cdd23bd6adf3b0c9ff3d6d4
Fixes: #52033

History
#1 - 2013-09-16 12:04 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23849

#2 - 2013-09-16 12:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23849

#3 - 2013-09-16 12:30 - Christopher Hlubek
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d94d9e7b6a161a8c3d55da9e0610d4dcaf79bd52.

#4 - 2013-09-16 12:33 - Christopher Hlubek
- Subject changed from An after stage task for any application is executed before a task specifc for an application to An after stage task for any 
application is executed before a task specific for an application

2015-08-04 1/1

https://review.typo3.org/23849
https://review.typo3.org/23849

